Summary: A set of GNU text file modifying utilities.
Name: textutils
Version: 2.0
Release: 5
Copyright: GPL
Group: Applications/Text
Source: ftp://prep.ai.mit.edu/pub/gnu/textutils-%{version}.tar.gz
Patch0: textutils-2.0-alloca.patch
Prefix: %{_prefix}
Prereq: /sbin/install-info
Buildroot: /var/tmp/%{name}-root
%ifarch ia64
  %define DEFCCIA cc
  %define DEFCC %{DEFCCIA}
%else
  %define DEFCC cc
%endif

%description
A set of GNU utilities for modifying the contents of files, including
programs for splitting, joining, comparing and modifying files.

%prep
%setup -q
%patch0 -p1

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
    else 
       export CC=gcc
    fi
fi
CFLAGS="$RPM_OPT_FLAGS -D_LARGE_FILES" ./configure 
make

%install
rm -rf ${RPM_BUILD_ROOT}
./configure --prefix=${RPM_BUILD_ROOT}%{_prefix}

%ifos linux
make prefix=${RPM_BUILD_ROOT}%{_prefix} install
%else
make prefix=${RPM_BUILD_ROOT}%{_prefix} \
    localedir=${RPM_BUILD_ROOT}%{_prefix}/share/locale \
	install
%endif

( cd $RPM_BUILD_ROOT
  /usr/bin/strip .%{_prefix}/bin/* || :
%ifos linux
  mkdir -p ./bin
  for f in cat sort; do
    mv .%{_prefix}/bin/$f ./bin/$f
  done
# XXX tsort comes from util-linux for now
%endif
  gzip -9nf .%{_prefix}/info/textutils*

    mkdir -p usr/bin
    mkdir -p usr/linux/bin
    cd usr/linux/bin
    ln -sf ../../..%{_prefix}/bin/* .
    rm tac md5sum
    cd ../../bin
    for i in tac md5sum
    do
       ln -sf ../..%{_prefix}/bin/$i .
    done
)

%post
/sbin/install-info %{_prefix}/info/textutils.info.gz %{_prefix}/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_prefix}/info/textutils.info.gz %{_prefix}/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README
%ifos linux
/bin/*
%endif
/usr/bin/*
/usr/linux/bin/*
%{_prefix}/bin/*
%{_prefix}/man/man*/*
%{_prefix}/info/textutils*
%{_prefix}/share/locale/*/*/*

%changelog
* Tue Apr 03 2001 David Clissold <cliss@austin.ibm.com>
- Build with -D_LARGE_FILES enabled (for >2BG files)

* Thu Mar 08 2001 Marc Stephenson <marc@austin.ibm.com>
- Add logic for default compiler
- Rebuild against new shared objects

* Mon Mar 05 2001 David Clissold <cliss@austin.ibm.com>
- Add alloca patch so this will build on AIX IA64

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Mon Jan  7 2000 Jakub Jelinek <jakub@redhat.com>
- Revert comm and join to old behaviour (binary sorting).
  Add new switch "-l" to both. If sort -l is used to generate
  input, comm -l/join -l should be used on that, otherwise
  -l should not be specified.

* Wed Jan  5 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- 2.0a
- Revert sort to old behavior (binary sorting).
  Add new switch "-l" to handle locales (the way 2.0 did)
  (Bugs #7020, #7828, #8021, #8125)
- unset LINGUAS before running configure
- fix a bug in the spec file (it's rm -rf, not rm -f)

* Tue Aug 10 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 2.0.
- fix tsort conflicts (by eliminating tsort from util-linux).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Fri Mar 06 1998 Michael K. Johnson <johnsonm@redhat.com>
- made tmpfile creation safe (even for root) in sort and tac.

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- added patch for glibc 2.1

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot
- added install-info support

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Rebuilt against glibc
